﻿$ErrorActionPreference = 'Stop';

$packageName= 'HeidiSQL'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.heidisql.com/installers/HeidiSQL_12.6.0.6765_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)

  # optional, highly recommended
  softwareName  = 'HeidiSQL*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '334d89c7b6c25e8750aaf425a13cc988b9dfa3dd'
  checksumType  = 'sha1' #default is md5, can also be sha1
  checksum64    = ''
  checksumType64= '' #default is checksumType
}

Install-ChocolateyPackage @packageArgs
